Tables (GWT Maven Archetype 3.1.0-3.0.0 API)
Date: 2014-02-28

org.gcube.application.aquamaps.aquamapsportlet.servlet.db

## Enum Tables

- java.lang.Object
- - java.lang.Enum<Tables>
  - - org.gcube.application.aquamaps.aquamapsportlet.servlet.db.Tables

- All Implemented Interfaces:
    Serializable, Comparable<Tables>

      public enum Tables
      extends Enum<Tables>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Area`
    `AreaSelections`
    `Basket`
    `class_table`
    `family_table`
    `fetchedBasket`
    `kingdom`
    `Objects`
    `Objects_Basket`
    `order_table`
    `phylum`
    `Species`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Tables` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Tables[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Basket

          public static final Tables Basket

    - #### Species

          public static final Tables Species

    - #### Objects

          public static final Tables Objects

    - #### Objects_Basket

          public static final Tables Objects_Basket

    - #### fetchedBasket

          public static final Tables fetchedBasket

    - #### AreaSelections

          public static final Tables AreaSelections

    - #### Area

          public static final Tables Area

    - #### kingdom

          public static final Tables kingdom

    - #### phylum

          public static final Tables phylum

    - #### order_table

          public static final Tables order_table

    - #### family_table

          public static final Tables family_table

    - #### class_table

          public static final Tables class_table

  - ### Method Detail

    - #### values

          public static Tables[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Tables c : Tables.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Tables valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.